package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class SearchBean extends BaseMesPageBean {
        /**
         * pageNum : 1
         * pageSize : 10
         * size : 3
         * startRow : 1
         * endRow : 3
         * total : 3
         * pages : 1
         * list : [{"id":null,"createDateTime":null,"updateDateTime":null,"customerUserCode":"KN00185","customerUserName":"客户1","steelmakingWorksCode":null,"steelmakingWorksName":"Liangan","continuousCasterCode":null,"continuousCasterName":"连铸机01","fractureSurface":null,"steelGrade":null,"productCode":null,"productName":null,"seriesId":null,"seriesName":null,"productType":null,"drawingNumberProd":null,"drawingNumberProc":null,"specification":null,"weight":null,"designedLife":null,"materialCode":null,"materialName":null,"materialStd":null,"delete":null},{"id":null,"createDateTime":null,"updateDateTime":null,"customerUserCode":"KN00185","customerUserName":"西宁特殊钢股份有限公司","steelmakingWorksCode":null,"steelmakingWorksName":"Liangan","continuousCasterCode":null,"continuousCasterName":"连铸机01","fractureSurface":null,"steelGrade":null,"productCode":null,"productName":null,"seriesId":null,"seriesName":null,"productType":null,"drawingNumberProd":null,"drawingNumberProc":null,"specification":null,"weight":null,"designedLife":null,"materialCode":null,"materialName":null,"materialStd":null,"delete":null},{"id":null,"createDateTime":null,"updateDateTime":null,"customerUserCode":"KN00185","customerUserName":"西宁特殊钢股份有限公司","steelmakingWorksCode":null,"steelmakingWorksName":null,"continuousCasterCode":null,"continuousCasterName":"连铸机01","fractureSurface":null,"steelGrade":null,"productCode":null,"productName":null,"seriesId":null,"seriesName":null,"productType":null,"drawingNumberProd":null,"drawingNumberProc":null,"specification":null,"weight":null,"designedLife":null,"materialCode":null,"materialName":null,"materialStd":null,"delete":null}]
         * prePage : 0
         * nextPage : 0
         * isFirstPage : true
         * isLastPage : true
         * hasPreviousPage : false
         * hasNextPage : false
         * navigatePages : 8
         * navigatepageNums : [1]
         * navigateFirstPage : 1
         * navigateLastPage : 1
         * firstPage : 1
         * lastPage : 1
         */

        private List<ListBean> list;


        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }


        public static class ListBean {
            /**
             * id : null
             * createDateTime : null
             * updateDateTime : null
             * customerUserCode : KN00185
             * customerUserName : 客户1
             * steelmakingWorksCode : null
             * steelmakingWorksName : Liangan
             * continuousCasterCode : null
             * continuousCasterName : 连铸机01
             * fractureSurface : null
             * steelGrade : null
             * productCode : null
             * productName : null
             * seriesId : null
             * seriesName : null
             * productType : null
             * drawingNumberProd : null
             * drawingNumberProc : null
             * specification : null
             * weight : null
             * designedLife : null
             * materialCode : null
             * materialName : null
             * materialStd : null
             * delete : null
             */

            private Object id;
            private Object createDateTime;
            private Object updateDateTime;
            private String customerUserCode;
            private String customerUserName;
            private Object steelmakingWorksCode;
            private String steelmakingWorksName;
            private Object continuousCasterCode;
            private String continuousCasterName;
            private Object fractureSurface;
            private Object steelGrade;
            private Object productCode;
            private Object productName;
            private Object seriesId;
            private Object seriesName;
            private Object productType;
            private Object drawingNumberProd;
            private Object drawingNumberProc;
            private Object specification;
            private Object weight;
            private Object designedLife;
            private Object materialCode;
            private Object materialName;
            private Object materialStd;
            private Object delete;

            public Object getId() {
                return id;
            }

            public void setId(Object id) {
                this.id = id;
            }

            public Object getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(Object createDateTime) {
                this.createDateTime = createDateTime;
            }

            public Object getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(Object updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getCustomerUserCode() {
                return customerUserCode;
            }

            public void setCustomerUserCode(String customerUserCode) {
                this.customerUserCode = customerUserCode;
            }

            public String getCustomerUserName() {
                return customerUserName;
            }

            public void setCustomerUserName(String customerUserName) {
                this.customerUserName = customerUserName;
            }

            public Object getSteelmakingWorksCode() {
                return steelmakingWorksCode;
            }

            public void setSteelmakingWorksCode(Object steelmakingWorksCode) {
                this.steelmakingWorksCode = steelmakingWorksCode;
            }

            public String getSteelmakingWorksName() {
                return steelmakingWorksName;
            }

            public void setSteelmakingWorksName(String steelmakingWorksName) {
                this.steelmakingWorksName = steelmakingWorksName;
            }

            public Object getContinuousCasterCode() {
                return continuousCasterCode;
            }

            public void setContinuousCasterCode(Object continuousCasterCode) {
                this.continuousCasterCode = continuousCasterCode;
            }

            public String getContinuousCasterName() {
                return continuousCasterName;
            }

            public void setContinuousCasterName(String continuousCasterName) {
                this.continuousCasterName = continuousCasterName;
            }

            public Object getFractureSurface() {
                return fractureSurface;
            }

            public void setFractureSurface(Object fractureSurface) {
                this.fractureSurface = fractureSurface;
            }

            public Object getSteelGrade() {
                return steelGrade;
            }

            public void setSteelGrade(Object steelGrade) {
                this.steelGrade = steelGrade;
            }

            public Object getProductCode() {
                return productCode;
            }

            public void setProductCode(Object productCode) {
                this.productCode = productCode;
            }

            public Object getProductName() {
                return productName;
            }

            public void setProductName(Object productName) {
                this.productName = productName;
            }

            public Object getSeriesId() {
                return seriesId;
            }

            public void setSeriesId(Object seriesId) {
                this.seriesId = seriesId;
            }

            public Object getSeriesName() {
                return seriesName;
            }

            public void setSeriesName(Object seriesName) {
                this.seriesName = seriesName;
            }

            public Object getProductType() {
                return productType;
            }

            public void setProductType(Object productType) {
                this.productType = productType;
            }

            public Object getDrawingNumberProd() {
                return drawingNumberProd;
            }

            public void setDrawingNumberProd(Object drawingNumberProd) {
                this.drawingNumberProd = drawingNumberProd;
            }

            public Object getDrawingNumberProc() {
                return drawingNumberProc;
            }

            public void setDrawingNumberProc(Object drawingNumberProc) {
                this.drawingNumberProc = drawingNumberProc;
            }

            public Object getSpecification() {
                return specification;
            }

            public void setSpecification(Object specification) {
                this.specification = specification;
            }

            public Object getWeight() {
                return weight;
            }

            public void setWeight(Object weight) {
                this.weight = weight;
            }

            public Object getDesignedLife() {
                return designedLife;
            }

            public void setDesignedLife(Object designedLife) {
                this.designedLife = designedLife;
            }

            public Object getMaterialCode() {
                return materialCode;
            }

            public void setMaterialCode(Object materialCode) {
                this.materialCode = materialCode;
            }

            public Object getMaterialName() {
                return materialName;
            }

            public void setMaterialName(Object materialName) {
                this.materialName = materialName;
            }

            public Object getMaterialStd() {
                return materialStd;
            }

            public void setMaterialStd(Object materialStd) {
                this.materialStd = materialStd;
            }

            public Object getDelete() {
                return delete;
            }

            public void setDelete(Object delete) {
                this.delete = delete;
            }
        }
}
